Skip to navigation

🧪 Create DVIR Log

Create a new DVIR log asynchronously.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

is_syncbooleanOptionalDefaults to false

Whether to process the request synchronously. If true, Catena will attempt to create or update the resource immediately with the TSP and return the result in the response. When performing synchronous operations, you are responsible for handling any necessary retries in case of transient failures.If false (default), Catena will create an asynchronous operation, and you can check the status of the operation using the returned operation ID.

Request

This endpoint expects an object.
connection_idstringRequiredformat: "uuid"

Unique identifier of the connection at Catena Telematics which will be used to create this resource. A connection represents a Fleet/TSP pairing.

driver_idstringRequiredformat: "uuid"
Identifier for the driver
vehicle_idstring or nullOptionalformat: "uuid"
Identifier for the vehicle
trailer_idstring or nullOptionalformat: "uuid"
Identifier for the trailer
occurred_atdatetime or nullOptional

Datetime of when the inspection occurred (must be UTC)

log_typeenumOptional

Type of DVIR log. Defaults to unknown when omitted.

Allowed values:
inspected_bystring or nullOptional
Name of the inspector conducting the DVIR
defect_countinteger or nullOptional
Total number of defects reported in this DVIR log. Defaults to 0 when omitted and no defects provided.
defectslist of enums or nullOptional
List of defects reported in this DVIR log
defects_detaillist of objects or nullOptional
Detailed defect entries with part and defect information
is_safety_criticalboolean or nullOptional

Indicates whether the DVIR log is safety-critical

driver_commentstring or nullOptional

Additional free-text comments provided by the driver

certify_commentstring or nullOptional
Driver's certification comment acknowledging the inspection
odometerdouble or nullOptional
Vehicle odometer reading at the time of the DVIR
odometer_unitenum or nullOptional
Unit for odometer
Allowed values:
certify_datedatetime or nullOptional

Datetime when the DVIR was certified (must be UTC)

certified_bystring or nullOptional
Identifier for the individual who certified the DVIR
statusenum or nullOptional
Log level defects summary status
Allowed values:

Response

The DVIR log was created successfully.
partner_idstringformat: "uuid"
The ID of the partner that created the operation.
connection_idstringformat: "uuid"
The ID of the connection
resourceenum

The type of resource to operate on (e.g., vehicle, driver).

operation_typeenum

The type of operation to perform (e.g., create, update).

Allowed values:
payloadmap from strings to any
The payload of the operation, containing the resource attributes to be created or updated.
idstringOptionalformat: "uuid"
Unique identifier for the resource operation.
created_atdatetimeOptional

Immutable: The datetime the record was created in Catena Telematics.

updated_atdatetimeOptional
The datetime the record was last modified in Catena Telematics.
deleted_atdatetime or nullOptional
The datetime the record was logically deleted from Catena Telematics.
resource_idstring or nullOptionalformat: "uuid"

Unique identifier of the record. Can be null for create operations where the source does not exist yet.

source_idstring or nullOptional
The unique identifier of the resource in the source system. Required for update operations.
statusenumOptional
The status of the operation
Allowed values:
logslist of objectsOptional
Log entries for each attempt to execute this operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error
502
Bad Gateway Error